## org.eclipse.emf.common.util
Interface Logger

All Known Implementing Classes:
  ChangeEditPlugin, ChangeEditPlugin.Implementation, ChangePlugin, ChangePlugin.Implementation, CodeGenEcorePlugin, CodeGenEcorePlugin.Implementation, CodeGenPlugin, CodeGenPlugin.Implementation, CommonPlugin, CommonPlugin.Implementation, CommonUIPlugin, CommonUIPlugin.Implementation, ConverterPlugin, ConverterPlugin.Implementation, EclipseUIPlugin, Ecore2EcoreEditorPlugin, Ecore2EcoreEditorPlugin.Implementation, Ecore2EcorePlugin, Ecore2EcorePlugin.Implementation, Ecore2XMLUIPlugin, Ecore2XMLUIPlugin.Implementation, EcoreEditorPlugin, EcoreEditorPlugin.Implementation, EcoreEditPlugin, EcoreEditPlugin.Implementation, EcoreImporterPlugin, EcoreImporterPlugin.Implementation, EcorePlugin, EcorePlugin.Implementation, EMFEditPlugin, EMFEditPlugin.Implementation, EMFEditUIPlugin, EMFEditUIPlugin.Implementation, EMFPlugin, EMFPlugin.EclipsePlugin, ExporterPlugin, ExporterPlugin.Implementation, GenModelEditPlugin, GenModelEditPlugin.Implementation, ImporterPlugin, ImporterPlugin.Implementation, JavaImporterPlugin, JavaImporterPlugin.Implementation, MappingPlugin, MappingPlugin.Implementation, RoseImporterPlugin, RoseImporterPlugin.Implementation, XMIPlugin, XMIPlugin.Implementation

    public interface Logger

A logger of log entries. It can be implemented by different logging facilities depending on the runtime. It is plastic and intended to support any underlying logging facility.

Method Summary
`void` `log(java.lang.Object logEntry)` Logs an entry.

Method Detail

### log

    void log(java.lang.Object logEntry)

  Logs an entry.

  Parameters:
    `logEntry` - a plastic entry to log.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.